阅读 9931

yapi chrome插件cross-request无法安装

🔥开源开发者笔记:DevOps,微服务,分布式,高可用,区块链,白皮书,算法,黑客,设计模式,面试题。求 star⭐️

YApi 是一个可本地部署的、打通前后端及QA的、可视化的接口管理平台。

https://github.com/YMFE/yapi

很多同学在升级 chrome 后发现 yapi chrome 插件 cross-request 安装失败。安装之后无法启用。

FQ后chrome web store 也下架了这个插件。

我觉得是安全问题,为什么swagger不需要插件即可运行呢,因为它都是本域的请求,不涉及到跨域问题,这个插件主要就是解决跨域请求问题。

正常安装

其实很简单,使用开发者模式,并且是源码的模式,而非打包的 .crx 文件即可正常安装使用。

去哪儿把 YApi 都开源了,这个一个插件能不开源吗,直接找到 cross-request 的开源地址。

  • 下载插件源码
git clone https://github.com/YMFE/cross-request
复制代码
  • 打开插件管理 chrome://extensions/
  • 打开开发者模式
  • 点击左边的加载已解压扩展程序,选择cross-request文件夹位置即可

支持开源 给去哪儿 yapi 点个 star